Subject: bug#51143: closed (Re: bug#51143: 29.0.50; Long delay after M-x commandname)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Oct 2022 18:54:01 +0000

Your bug report

#51143: 29.0.50; Long delay after M-x commandname

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51143: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51143
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51143: 29.0.50; Long delay after M-x commandname
From: Michael Heerdegen <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Eduardo Ochs <[email-masked]>
Date: Sun, 09 Oct 2022 20:53:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> > Subject: [PATCH] Try to speed up extended command shorthand computation
>
> Makes sense to me.

Ok, thanks.  I installed that patch and close the bug again.

Michael.

Subject: 29.0.50; Long delay after M-x commandname
From: Eduardo Ochs <[email-masked]>
To: [email-masked], Michael Heerdegen <[email-masked]>
Date: Mon, 11 Oct 2021 23:44:57 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that when I was invoking commands with M-x commandname and
using tab for completing parts of the name then sometimes there would
be a long delay - sometimes as long as 10 seconds, but my laptop is
quite old - between the RET and the execution of the command. This
delay was big on emacs28 and practically imperceptible on emacs27, and
it seemed that it was getting worse in more recent versions of
emacs28/29.

I discussed this on help-gnu-emacs before submitting a bug report. The
main links are these ones:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00232.html Edrx
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00259.html MH
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00261.html Edrx 2
https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Let me summarize. The part of "M-x commandname" that takes a long time
is the call to `execute-extended-command--shorter' - like this:

  (execute-extended-command--shorter "find-eev-quick-intro" "find-eev-qui")

Michael Heerdegen was able to reproduce the problem and profile it.
See this message:

https://lists.gnu.org/archive/html/help-gnu-emacs/2021-10/msg00265.html MH 2

Cheers,
  Eduardo Ochs
  http://angg.twu.net/#eev

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.24, cairo version 1.16.0)
 of 2021-10-09 built on scylla
Repository revision: cc202c713be60355dbcf4e5ea87603c5e16a92db
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --with-modules'

(etc etc)